<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
 <xsl:output method="html" indent="yes" />

 <xsl:template match="/">
  <html>
   <head>
    <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
    <script language="JavaScript" src="{$cssDir}javascript.js"></script>
   </head>
   <body style="margin: 2px;">
    <xsl:apply-templates name="Mail" />
   </body>
  </html>
 </xsl:template>

 <xsl:template match="Mail">
  <xsl:apply-templates name="Event" />
 </xsl:template>
 
 <xsl:template match="Event">
  <table cellspacing="0" cellpadding="0" border="0" class="forum" style="font-size: 11px;">
   <col width="10" />
   <col width="300" style="text-align: left; padding: 2px; padding-left: 5px; background-color: #E8E4A6; color: #514739;" />
   <col width="125" style="background-color: #5E7073; text-align: center; color:#5E7073;" />
   <tr style="background-image: url({$imgDir}/frheader2.bmp);">
    <td class="mh" style="font-size: 10px; background-color: #BDE2E8; background-image:url({$imgDir}/frheader2.bmp); color: #5E7073; padding: 1px; padding-top: 0px; padding-left: 5px;">
     <img src="{$imgDir}/mail.gif" />
    </td>
    <td class="mh" style="text-align: left; font-size: 10px; background-color: #BDE2E8; background-image:url({$imgDir}/frheader2.bmp); color: #5E7073; padding: 1px; padding-top: 0px; padding-left: 5px;">
     <b><xsl:value-of select="From" /></b>
    </td>
    <td class="mh" style="background-color: #BDE2E8; background-image:url({$imgDir}/frheader2.bmp); text-align: center; color:#5E7073; font-size: 10px; padding: 1px; padding-top: 0px; padding-left: 5px;">
     <xsl:value-of select="DateTime" />
    </td>
   </tr>
   <tr>
    <td colspan="3" class="mt" style="text-align: left; background-color: #F6F1EA; background-image:url({$imgDir}/frbody2.bmp); color: #000000; padding: 5px;">
     <xsl:value-of select="Body" disable-output-escaping="yes" /> 
    </td>
   </tr>
  </table>
 </xsl:template>  
</xsl:stylesheet>