<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
        <script language="JavaScript" src="{$cssDir}javascript.js"></script>
        <script type="text/javascript">

         if (document.images) {
           PL1 = new Image(); PL1.src = "ptr1.gif";
           PL2 = new Image(); PL2.src = "ptr2.gif";
         }

         function ptr(mode,position) {
           if (mode == 0) document[position].src = PL1.src;
           if (mode == 1) document[position].src = PL2.src;
         }

        </script>
        <title></title>
      </head>

<body background="{$imgDir}/allbg.gif">
 <table style="width:100%;" cellspacing="0" cellpadding="0" border="0">
  <tr>
   <td>
    <table class="main" border="0" cellspacing="0" cellpadding="0">
     <col width="20"/>
     <col width="*"/>
     <col width="41"/>
     <tr class="header" style="color: #4C277D; background-image: url({$imgDir}/headerbg4.bmp);">
      <td>
       <img src="{$imgDir}/myftd.bmp"/>
      </td>
      <td>
       <span style="white-space: nowrap; padding-left: 10px;">MyFTD</span>
      </td>
      <td>
       <img src="{$imgDir}/headerend4.bmp"/>
      </td>
     </tr>
    </table>

    <table style="width: 100%;" cellspacing="0" cellpadding="0" border="0">
     <col width="25"/>
     <col width="*"/>
     <tr>
      <td style="background-image: url({$imgDir}/bleft4.bmp);">
       &nbsp;
      </td>
      <td background="{$imgDir}/mainbg4.bmp" style="padding-right: 15px; padding-bottom: 10px; padding-top: 10px; border-right: 2px solid #6C43A4;">
       <table cellspacing="0" cellpadding="2" style="border: 1px solid #000000; background-color: #FFF5FF; width: 100%; font-family: Arial; font-size: 11px;" border="0">
        <col width="10" style="text-align: right; padding-top: 4px;"/>
        <col width="15" style="padding-top: 5px;" align="center"/>
        <col width="75"/>
        <col width="10"/>
        <col width="38"/>
        <col width="10" style="padding-top: 4px;"/>
        <col width="*" style="padding-left: 5px; white-space: nowrap;"/>
        <col width="55" style="text-align: center; font-weight:bold;"/>
        <col width="35"/>
        <col width="60" style="text-align: center; background-color: #E5E5FE;"/>
        <col width="60" style="text-align: center; background-color: #E5F8E9;"/>
        <col width="40" style="font-size: 10px; text-align: center;"/>
        <tr style="color: #452547; background-image: url({$imgDir}/pbg3.bmp); padding-top: 4px; padding-bottom: 7px; font-family: Verdana; font-size: 11px; font-weight: bold;">
         <td colspan="2">
          &nbsp;
         </td>
         <td>
          <center>Datum</center>
         </td>
         <td colspan="3">
          &nbsp;
         </td>
         <td>
          Titel
         </td>
         <td colspan="2">
          &nbsp;
         </td>
         <td bgcolor="#E5E5FE">
          <center><img alt="Openstaande repostverzoeken" src="{$imgDir}/myftd1.gif"/></center>
         </td>
         <td bgcolor="#E5F8E9">
          <center><img alt="Bezig met uploaden" src="{$imgDir}/myftd2.gif"/></center>
         </td>
         <td bgcolor="#FFFFFF">
          <center><img alt="Forum berichten" src="{$imgDir}/myftd3.gif"/></center>
         </td>
        </tr>

        <xsl:apply-templates match="Post" />

       </table>
      </td>
     </tr>
    </table>

    <table style="width:100%;" cellspacing="0" cellpadding="0">
     <col width="25"/>
     <col width="*"/>
     <tr>
      <td>
       <img src="{$imgDir}/botleft4.bmp"/>
      </td>
      <td align="center" style="background-image: url({$imgDir}/botbot4.bmp);">
       <img src="{$imgDir}/ftdfooter4.gif"/>
      </td>
     </tr>
    </table>
   </td>
  </tr>
 </table>

 <div class="footer">FTD4Linux 1.0 &#169; 2003-2006 <a style="color:#A6A8C9;" href="iets.html#ftdmailAlguno">Alguno</a>. Gehost door <a style="color: #C3C6ED;" href="http://www.quickhost.nl/" target="_blank"><b>QuickHost</b></a> - Webhosting &amp; More.
 </div>
</body>
</html>
</xsl:template>

<xsl:template match="Post">
 <tr valign="top"><!-- onMouseOut="ptr(0,'ptr0');" -->
   <xsl:choose>
   <xsl:when test="position() mod 2 = 0">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = 'F4FFF4'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     F4FFF4
    </xsl:attribute>
   </xsl:when>
   <xsl:when test="position() mod 2 = 1">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = 'DDFFDD'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     DDFFDD
    </xsl:attribute>
   </xsl:when>
   </xsl:choose>
  <td>
   <xsl:choose>
    <xsl:when test="Status = -1">
     <a href="iets.html#myftd-remove{PostID}">
      <img alt="Verwijder post" onMouseOver="this.src='{$imgDir}/dlx2.gif'" onMouseOut="this.src='{$imgDir}/dlx.gif'" src="{$imgDir}/dlx.gif" border="0"/>
     </a>
    </xsl:when>
    <xsl:when test="Status = 0">
     &nbsp;
    </xsl:when>
    <xsl:when test="Status = 1">
     <a href="iets.html#myftd-remove{PostID}">
      <img alt="Verwijder post" onMouseOver="this.src='{$imgDir}/dlx2.gif'" onMouseOut="this.src='{$imgDir}/dlx.gif'" src="{$imgDir}/dlx.gif" border="0"/>
     </a>
    </xsl:when>
    <xsl:when test="Status = 2">
     <a href="iets.html#myftd-remove{PostID}">
      <img alt="Verwijder post" onMouseOver="this.src='{$imgDir}/dlx2.gif'" onMouseOut="this.src='{$imgDir}/dlx.gif'" src="{$imgDir}/dlx.gif" border="0"/>
     </a>
    </xsl:when>
    <xsl:when test="Status = 3">
     &nbsp;
    </xsl:when>
   </xsl:choose>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="Status = -1">
     <center><img src="{$imgDir}/spot.gif" /></center> <!-- spot -->
    </xsl:when>
    <xsl:when test="Status = 0">
     <center><img src="{$imgDir}/gray.gif" /></center> <!-- ready -->
    </xsl:when>
    <xsl:when test="Status = 1">
     <center><img src="{$imgDir}/brown.gif" /></center> <!-- announce -->
    </xsl:when>
    <xsl:when test="Status = 2">
     <center><img src="{$imgDir}/green.gif" /></center> <!-- uploading -->
    </xsl:when>
    <xsl:when test="Status = 3">
     <center><img src="{$imgDir}/red.gif" /></center> <!-- unsupp -->
    </xsl:when>
   </xsl:choose>
  </td>
  <td>
   <center><span style="white-space:nowrap;"><xsl:value-of select="Datum"/></span></center>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="CanEdit = 0">
     &nbsp;
    </xsl:when>
    <xsl:when test="CanEdit = 1">
     <a href="iets.html#myftd-edit{PostID}"><img onMouseOver="this.src = '{$imgDir}/edit2.gif'" onMouseOut="this.src = '{$imgDir}/edit.gif'" alt="Bewerk post" src="{$imgDir}/edit.gif" border="0" /></a>
    </xsl:when>
   </xsl:choose>
  </td>
  <td>
   <xsl:variable name="Rat" select="substring((Rating div 100), 1, 1)"/>
   <img src="{$imgDir}/vw_{$Rat}.gif" alt="Rating : {Rating}"/>
  </td>
  <td>
   <img name="ptr0" src="{$imgDir}/ptr1.gif"/>
  </td>
  <td>
   <a href="iets.html#post{PostID}"><xsl:value-of select="Title" /></a>
  </td>
  <td>
   <a style="color:#7C7924;" href="iets.html#ko{PostID}"><xsl:value-of select="Kudos" /></a>
  </td>
  <td>
   <a href="iets.html#myftd-update{PostID}">
    <xsl:choose>
     <xsl:when test="Status = 1"> <!-- announce -->
      <img src="{$imgDir}/arrow.gif" border="0"/>
      <img alt="updaten naar : bezig met uploaden" src="{$imgDir}/green.gif" border="0"/>
     </xsl:when>
     <xsl:when test="Status = 2"> <!-- uploading -->
      <img src="{$imgDir}/arrow.gif" border="0"/>
      <img alt="updaten naar : klaar met posten" src="{$imgDir}/gray.gif" border="0"/>
     </xsl:when>
     <xsl:when test="Status = 0"> <!-- ready -->
      <img src="{$imgDir}/arrow.gif" border="0"/>
      <img alt="updaten naar : post niet langer ondersteund" src="{$imgDir}/red.gif" border="0"/>
     </xsl:when>
    </xsl:choose>
   </a>
  </td>
  <td bgcolor="#D5D5EC">
   <center><xsl:value-of select="Reqs" /></center>
  </td>
  <td bgcolor="#D5E6D9">
   <center><xsl:value-of select="Reps" /></center>
  </td>
  <td bgcolor="#EDE4ED">
   <center><xsl:value-of select="Forum" /></center>
  </td>
 </tr>
</xsl:template>

</xsl:stylesheet>
