<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

<xsl:template match="/">
 <html>
  <head>
   <link rel="stylesheet" type="text/css" href="{$cssDir}/ftd.css" />
   <script language="JavaScript" src="{$cssDir}/javascript.js"></script>
  </head>
  <body background="{$imgDir}/allbg.gif">

   <div id="popupbox" style="position: absolute;"></div>
   <div id="popupshadow" style="position: absolute; filter:alpha(opacity=15);"></div>
   <div onMousedown = "popup(0)" id="closepopup" style="cursor: hand; visibility: hidden; position: absolute;"><img src="{$imgDir}/smallcross.gif" /></div>

   <table style="width:100%;" cellspacing="0" cellpadding="0" border="0">
    <tr>
     <td>
      <xsl:apply-templates name="Event" select="EventInfo/Event" />
     </td>
    </tr>

    <tr>
     <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y; padding-left: 23px;">
      <table width="100%" border="0" style="border-right: 2px solid #409EFF;" cellspacing="0" cellpadding="0">
       <col width="*" style="background-image: url({$imgDir}/mainbg.jpg);" />
       <tr class="shtext">
        <td background="{$imgDir}/mainbg.bmp">
         <center>
          <a href="iets.html#forumpost"><img onMouseOver="this.src = '{$imgDir}/but1-2.gif';" onMouseOut="this.src = '{$imgDir}/but1-1.gif';" src="{$imgDir}/but1-1.gif" border="0" /></a>
          <a href="iets.html#kudos"><img onMouseOver="this.src = '{$imgDir}/but2-2.gif';" onMouseOut="this.src = '{$imgDir}/but2-1.gif';" src="{$imgDir}/but2-1.gif" border="0" /></a>
<!--
          <a href="iets.html#x" onMouseDown="alert('Indien je extra pars wilt aanvragen, dien je eerst een berichtje te plaatsen bij deze post.');"><img onMouseOver="this.src = '{$imgDir}/but3-2.gif';" onMouseOut="this.src = '{$imgDir}/but3-1.gif';" src="{$imgDir}/but3-1.gif" border="0" /></a>
          <img style="cursor: hand;" onMouseDown="alert('Voor het toevoegen van PAR bestanden is een grondige kennis van de werking van PAR bestanden benodigd. Zet een vinkje voor \'Activeer mogelijkheid tot toevoegen extra pars\' in het Config scherm als jij over die kennis beschikt.');" onMouseOver="this.src = '{$imgDir}/but4-2.gif';" onMouseOut="this.src = '{$imgDir}/but4-1.gif';" src="{$imgDir}/but4-1.gif" border="0"/>
-->
         </center>
        </td>
       </tr>
      </table>
     </td>
    </tr>
   </table>
   <table style="width:100%;" cellspacing="0" cellpadding="0">
    <col width="25" />
    <col width="*" />
    <tr>
     <td>
      <img src="{$imgDir}/botleft.bmp" />
     </td>
     <td align="center" style="background-image: url({$imgDir}/botbot.bmp);">
      <img src="{$imgDir}/ftdfooter.gif" />
     </td>
    </tr>
   </table>
   <table width="100%">
    <tr>
     <td style="background-image: url({$imgDir}/allbg.gif);">
      <div class="footer">FTD4Linux 1.0 &#169; 2003-2006 <a style="color:#A6A8C9;" href="#ftdmailAlguno">Alguno</a>.
       Gehost door <a style="color: #C3C6ED;" href="http://www.quickhost.nl/" target="_blank"><b>QuickHost</b></a> - Webhosting &amp; More.
      </div>
     </td>
    </tr>
   </table>
  </body>
 </html>
</xsl:template>

<xsl:template match="Event">
 <table class="main" border="0" cellspacing="0" cellpadding="0">
  <col width="23" />
  <col width="*" />
  <col width="46" align="right" />
  <col width="30" align="right" />
  <col width="26" align="right" />
  <col width="33" />
  <tr class="header" style="background-image: url({$imgDir}/headerbg.bmp);">
   <td>
    <xsl:choose>
     <xsl:when test="Status = -2">
      <center><img src="{$imgDir}/kill.bmp" /></center>
     </xsl:when>
     <xsl:when test="Status = -1">
      <center><img src="{$imgDir}/spot.bmp" /></center> <!-- spot -->
     </xsl:when>
     <xsl:when test="Status = 0">
      <center><img src="{$imgDir}/gray.bmp" /></center> <!-- ready -->
     </xsl:when>
     <xsl:when test="Status = 1">
      <center><img src="{$imgDir}/brown.bmp" /></center> <!-- announce -->
     </xsl:when>
     <xsl:when test="Status = 2">
      <center><img src="{$imgDir}/green.bmp" /></center> <!-- uploading -->
     </xsl:when>
     <xsl:when test="Status = 3">
      <center><img src="{$imgDir}/red.bmp" /></center> <!-- unsupp -->
     </xsl:when>
    </xsl:choose>
   </td>
   <td>
    <span style="white-space: nowrap;"><xsl:value-of select="Title" /></span>&nbsp;</td>
   <td>
    <img src="{$imgDir}/cbg_{Cat}{SCat}.gif"/>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Link != ''">
      <a href="iets.html#link{Link}"><img alt="Link naar het web" src="{$imgDir}/b1-2.bmp" onMouseOver="this.src = '{$imgDir}/b1-3.bmp'" onMouseOut="this.src = '{$imgDir}/b1-2.bmp'" border="0" /></a>
     </xsl:when>
     <xsl:when test="Link = ''">
      &nbsp;
     </xsl:when>
    </xsl:choose>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Watchlist = 1">
      <a href="iets.html#dllist"><img name="dlbut" alt="toevoegen/verwijderen van downloadlist" src="{$imgDir}/b4-3.bmp" onClick="dllist(2);" onMouseOver="dllist(0);" onMouseOut="dllist(1);" border="0" /></a>
     </xsl:when>
     <xsl:when test="Watchlist = 0">
      <a href="iets.html#dllist"><img name="dlbut" alt="toevoegen/verwijderen van downloadlist" src="{$imgDir}/b4-1.bmp" onClick="dllist(2);" onMouseOver="dllist(0);" onMouseOut="dllist(1);" border="0" /></a>
     </xsl:when>
    </xsl:choose>
   </td>
   <td style="background-image: url({$imgDir}/headerend.bmp);">
    &nbsp;
   </td>
  </tr>
 </table>

 <table class="main" border="0" cellspacing="0" cellpadding="0">
  <col width="23" />
  <col width="400" />
  <col width="*" />
  <col width="33" />

  <tr class="shtext">
   <td style="padding-left: 10px;">
    <img src="{$imgDir}/subheaderleft.bmp" />
   </td>
   <td class="subheader" style="background-image: url({$imgDir}/subheader.bmp);">
    <table style="color: #204F7F; width: 531; font-size: 10px; padding-top: 3px;" border="0" cellspacing="0" cellpadding="0">
     <col width="168" style="font-weight: bold; padding-left: 3px;" />
     <col width="130" />
     <col width="75" />
     <col width="70" />
     <col width="70" />
     <tr>
      <td><a href="iets.html#info{Poster}"><xsl:value-of select='Poster' /></a> <a href="iets.html#ftdmail{Poster}"><img src="{$imgDir}/mailicon.gif" border="0" /></a></td>
      <td><xsl:value-of select='Datum' /></td>
      <td><xsl:value-of select='PostID' /></td>
      <td><a href="iets.html#showkudos"><xsl:value-of select='Kudos' /></a></td>
      <td><xsl:value-of select='NumViews' /></td>
     </tr>
    </table>
   </td>
   <td class="sublength" style="background-image: url({$imgDir}/subheaderbg.bmp); background-repeat: repeat-x;">
<!-- FIXME
    <xsl:choose>
     <xsl:when test="NumNewsgroups != 1">
      <xsl:apply-templates name="Newsgroups" />
      <span style="white-space: nowrap;"><a href="#" onClick="popup(1,'Deze post is gepost in<br>onderstaande groepen :<p><b>alt.binaries.games</b><br><b>alt.binaries.games.worms</b><br>',0,1)">Crosspost [2]</a></span>
     </xsl:when>
     <xsl:when test="NumNewsgroups = 1"> -->
      <span style="white-space: nowrap;"><xsl:value-of select='Newsgroups' /></span>
<!--     </xsl:when>
    </xsl:choose>-->
   </td>
   <td style="background-image: url({$imgDir}/subheaderend.bmp); ">
    &nbsp;
   </td>
  </tr>
 </table>

 <table style="width: 100%; border-right: 2px solid #409EFF;" cellspacing="0" cellpadding="0" border="0">
 <col width="26" style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;" />
 <col width="*" style="background-image: url({$imgDir}/mainbg.bmp);" />

 <!-- DESCRIPTION -->
 <xsl:choose>
  <xsl:when test='Des != ""'>
   <tr>
    <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
     &nbsp;
    </td>
    <td style="padding-right: 15px; background-image: url({$imgDir}/mainbg.bmp);">
      <table class="infobox" style="font-size: 11px; background-image: url({$imgDir}/lightbg.bmp);">
       <tr>
        <td style="padding: 10px;">
<!--     <div id="tempimagediv" style="height: 104; width: 117; float: left; overflow: hidden;">
      <img id="tempimage" src="loading.jpg" border="0" />
     </div> -->
         <xsl:choose>
          <xsl:when test="Img != ''">
           <div id="postimagediv" style="height: 0px; width: 0px; float: left; overflow: hidden;">
            <a href="{Img}" target="_blank">
             <img onLoad="resizeimage();" src="{Img}" border="0" align="left" id="postimage" />
            </a>
           </div>
          </xsl:when>
         </xsl:choose>
        <xsl:value-of select="Des" disable-output-escaping="yes" />
        <br /><br />
        <b><u><i><div style="font-size: 13px; padding-bottom: 5px;">Postinformatie :</div></i></u></b><br />
        <xsl:value-of select="TagInfo" disable-output-escaping="yes" />
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- ANNOUNCE -->
 <xsl:choose>
  <xsl:when test="Ann != ''">
  <tr>
   <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
    <img src="{$imgDir}/header0.bmp" />
   </td>
   <td style="background-image: url({$imgDir}/mainbg.bmp);">
    <div class="annbox" style="font-size: 11px;"><xsl:value-of select="Ann" disable-output-escaping="yes" /></div>
   </td>
  </tr>
  </xsl:when>
 </xsl:choose>

<!-- SIGNATURE -->
 <xsl:choose>
  <xsl:when test='Sig != ""'>
   <tr valign='top'>
    <td  style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
     <img src="{$imgDir}/header1.bmp" />
    </td>
    <td style="background-image: url({$imgDir}/mainbg.bmp);">
     <div class="sigbox" style="font-size: 11px; background-image: url({$imgDir}/lightbg4.bmp); color: #2E442D; padding: 10px; border: 1px solid #23568A; margin-right: 15px; font-family: Tahoma">
      <xsl:value-of select='Sig' disable-output-escaping="yes" />
     </div>
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- FILES -->
 <xsl:choose>
  <xsl:when test="FType = 5"><!-- MP3 Tracks -->
   <tr valign="top">
    <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
     &nbsp;
    </td>
    <td style="padding-right: 27px; padding-top: 3px; background-image: url({$imgDir}/mainbg.bmp);" cellpadding="0" class="filebox">
     <table cellspacing="0" cellpadding="0" border="0" class="filestable">
      <col width="20" align="center" />
      <col width="*" align="left" />
      <col width="20" />
      <xsl:for-each select="MP3/Track">
       <tr>
        <td>
         &nbsp;
        </td>
        <td>
         <xsl:value-of select="." />
        </td>
        <td>
         &nbsp;
        </td>
       </tr>
      </xsl:for-each>
     </table>
    </td>
   </tr>
  </xsl:when>
  <xsl:when test="FType != 5">
 <!--  <style type="text/css">blockquote{font-size: 11px;}</style>
 </td>
</tr> -->
 <tr valign="top">
  <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
   &nbsp;
  </td>
  <td style="padding-right: 27px; padding-top: 3px; background-image: url({$imgDir}/mainbg.bmp);">
   <div class="filebox" style="background-image: url({$imgDir}/lightbg3.bmp);">
    <table cellspacing="0" cellpadding="0" border="0" class="filestable">
     <col width="20" align="center" />
     <col width="*" align="left" />
     <col width="20" />
     <col width="20" align="center" />
     <col width="*" align="left" />
     <col width="20" />
     <col width="20" align="center" />
     <col width="*" align="left" />
     <col width="20" />
     <xsl:choose>
      <xsl:when test="FType = 1">
      <!--RAR - .rar .r00 .r01-->
       <xsl:call-template name="files_1_2">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="FStart"/>
       </xsl:call-template>
      </xsl:when>
      <xsl:when test="FType = 2">
      <!--ACE - .ace .a00 .a01-->
       <xsl:call-template name="files_1_2">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="FStart"/>
       </xsl:call-template>
      </xsl:when>
      <xsl:when test="FType = 3">
       <xsl:call-template name="files_3">
        <xsl:with-param name="extension">zip</xsl:with-param>
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="maximum" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="FStart"/>
       </xsl:call-template>
      </xsl:when>
      <xsl:when test="FType = 4">
      <!--RAR - .001 .002 .003-->
       <xsl:call-template name="files_4_6">
        <xsl:with-param name="extension"></xsl:with-param>
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="maximum">100</xsl:with-param>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="FStart"/>
       </xsl:call-template>
      </xsl:when>
      <xsl:when test="FType = 6">
      <!--RAR - .part01.rar .part02.rar .part03.rar-->
       <xsl:call-template name="files_4_6">
        <xsl:with-param name="filename" select="FName"/>
        <xsl:with-param name="extension">part</xsl:with-param>
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="maximum" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
         <xsl:with-param name="count" select="FStart"/>
       </xsl:call-template>
      </xsl:when>
     </xsl:choose>
    </table>
   </div>
  </td>
 </tr>
   <tr valign="top">
    <td style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
     &nbsp;
    </td>
    <td style="padding-right: 32px; padding-top: 3px; background-image: url({$imgDir}/mainbg.bmp);">
     <div class="parometer" style="background-image: url({$imgDir}/parm_bg.gif);" >
      <table class="parometertable" border="0" cellspacing="0" cellpadding="0">
       <col width="*" />
       <col width="200" />
       <col width="120" style="text-align: center;" />
       <tr>
        <td>
         <xsl:choose>
          <xsl:when test="AantalParFiles = -1">
           Er worden PAR2 blocks meegepost.<br /><br />
          </xsl:when>
          <xsl:otherwise>
           <xsl:choose>
            <xsl:when test="AantalParFiles = 1">
             Er wordt 1 PAR2 block (blocksize: <xsl:value-of select='ParBlockSize' /> bytes) meegepost.<br /><br />
            </xsl:when>
            <xsl:otherwise>
             Er worden <xsl:value-of select='AantalParFiles' /> PAR2 blocks (blocksize: <xsl:value-of select='ParBlockSize' /> bytes) meegepost.<br /><br />
            </xsl:otherwise>
           </xsl:choose>
          </xsl:otherwise>
         </xsl:choose>
        </td>
       </tr>
      </table>
     </div>
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- FORUM -->
<xsl:choose>
 <xsl:when test="NumReacties != 0">
   <tr valign='top'>
    <td  style="background-image: url({$imgDir}/bleft.bmp); background-repeat: repeat-y;">
     <img src="{$imgDir}/header3.bmp" />
    </td>
    <td style="padding-right: 15px; padding-top:3px; background-image: url({$imgDir}/mainbg.bmp);">
     <table cellspacing="0" cellpadding="0" border="0" class="forum" style="font-size: 11px;">
      <col width="10" align="left" />
      <col width="*" style="text-align: left; padding-left: 5px;" />
      <col width="15" style="text-align: center;" />
      <col width="49" style="color: #777777;" />
      <col width="120" />
      <col width="15" align="left" />
      <col width="15" align="left" />
      <col width="15" align="left" />

      <xsl:apply-templates name="Reactie" select="Reactie">
       <xsl:sort select="Stamp" order="ascending" />
      </xsl:apply-templates>

     </table>

     <table style="width:100%;" cellspacing="0" cellpadding="0">
      <col width="12" />
      <col width="*" />
      <col width="8" />
      <tr valign="top">
       <td>
        <img src="{$imgDir}/for_l.bmp" />
       </td>
       <td style="background-image: url({$imgDir}/for_m.bmp); background-repeat: repeat-x;">
        &nbsp;
       </td>
       <td>
        <img src="{$imgDir}/for_r.bmp" />
       </td>
      </tr>
     </table>
    </td>
   </tr>
 </xsl:when>
</xsl:choose>

</table>

</xsl:template>

<!--<xsl:template match="MP3">
 <P>joehoe</P>
 <xsl:apply-templates name="Track" select="Track"/>
</xsl:template>

<xsl:template match="Track">
 <P>joehoe2</P>
 <tr>
  <td>
   &nbsp;
  </td>
  <td>
   <xsl:value-of select="." />
  </td>
  <td>
   &nbsp;
  </td>
 </tr>
</xsl:template>
-->
<xsl:template match="Newsgroup">
 <span style="white-space: nowrap;"><xsl:value-of select="Newsgroup" /></span>
</xsl:template>

<xsl:template match="Reactie">
      <tr class="fh" style="text-align: left; font-size: 10px; background-image:url({$imgDir}/frheader.bmp); color: #705E42; padding: 1px; padding-top: 0px; padding-bottom: 5px; padding-left: 5px;">
       <td align="right">
        <a name="newforum"><img alt="Nieuw forumbericht" src="{$imgDir}/post1.gif" /></a>
       </td>
       <td>
        <a style="color:#705E42;" href="iets.html#info{Author}"><b><xsl:value-of select="Author" /></b></a>
        <a href="iets.html#ftdmail{Author}"><img src="{$imgDir}/mailicon2.gif" border="0" /></a>
        <!-- <a style="color:#705E42;" href="#newforum"><img src="newforum.gif" border="0" />nieuwe forumberichten</a> -->
       </td>
       <td>
       </td>
       <td>
        <xsl:variable name="Rat" select="substring((Kudos div 4), 1, 1)"/>
        <img src="{$imgDir}/kudos{$Rat}.jpg"/>
       </td>
       <td>
        <xsl:value-of select="Datum" />
       </td>
       <td>
        <img src="{$imgDir}/edit0.gif" />  <!-- FIXME: Wanneer moeten deze 2 knopjes 'bruikbaar' zijn ? -->
       </td>
       <td>
        <img src="{$imgDir}/delete0.gif" />
       </td>
       <td>
        <a href="iets.html#quote{MessID}"><img alt="Quote" onMouseOver="this.src = '{$imgDir}/quote2.gif'" onMouseOut="this.src = '{$imgDir}/quote.gif'" src="{$imgDir}/quote.gif" border="0" /></a>
       </td>
      </tr>
      <tr class="ft" style="text-align: left; background-color: #F6F1EA; background-image:url({$imgDir}/frbody.bmp); color: #000000; padding: 10px; padding-top: 5px;">
       <td colspan="8" align="left">
        <xsl:value-of select="Body" disable-output-escaping="yes" />
       </td>
      </tr>
</xsl:template>
<xsl:template name="files_4_6">
  <xsl:param name="end"/>
  <xsl:param name="maximum"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
  <xsl:param name="extension"/>
   <xsl:if test="not(3*$count &gt; ((Files mod 3)+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>
</tr>
    <xsl:if test="not(3+3*$count &gt; (1+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="1+$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

    </tr>
    </xsl:if>
     <xsl:call-template name="files_4_6">
     <xsl:with-param name="count">
     <xsl:value-of select="2 + $count"/>
      </xsl:with-param>
      <xsl:with-param name="begin">
     <xsl:value-of select="$begin"/>
      </xsl:with-param>
      <xsl:with-param name="end">
     <xsl:value-of select="$end"/>
      </xsl:with-param>
      <xsl:with-param name="maximum">
     <xsl:value-of select="$maximum"/>
      </xsl:with-param>
      <xsl:with-param name="extension">
     <xsl:value-of select="$extension"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="files_3">
  <xsl:param name="end"/>
  <xsl:param name="maximum"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
  <xsl:param name="extension"/>
   <xsl:if test="not(3*$count &gt; ((Files mod 3)+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>
</tr>
    <xsl:if test="not(3+3*$count &gt; (1+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="1+$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

    </tr>
    </xsl:if>
     <xsl:call-template name="files_3">
     <xsl:with-param name="count">
     <xsl:value-of select="2 + $count"/>
      </xsl:with-param>
      <xsl:with-param name="begin">
     <xsl:value-of select="$begin"/>
      </xsl:with-param>
      <xsl:with-param name="end">
     <xsl:value-of select="$end"/>
      </xsl:with-param>
      <xsl:with-param name="maximum">
     <xsl:value-of select="$maximum"/>
      </xsl:with-param>
      <xsl:with-param name="extension">
     <xsl:value-of select="$extension"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="files_1_2">
  <xsl:param name="end"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
   <xsl:if test="3*$count &lt;= $end - (Files mod 3)">
    <tr>
       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
       </xsl:call-template>
    </tr>
    <xsl:if test="3*($count+1) &lt;= $end - (Files mod 3)">
    <tr>
       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1+ceiling(Files div 3)"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1+2*(ceiling(Files div 3))"/>
       </xsl:call-template>
    </tr>
    </xsl:if>
     <xsl:call-template name="files_1_2">
     <xsl:with-param name="count">
      <xsl:value-of select="2 + $count"/>
     </xsl:with-param>
     <xsl:with-param name="begin">
      <xsl:value-of select="$begin"/>
     </xsl:with-param>
     <xsl:with-param name="end">
      <xsl:value-of select="$end"/>
     </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="print_file_4_6_grey">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
        <xsl:if test="$maximum &gt; 9">
         <xsl:if test="$count &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:if test="$maximum &gt; 99">
         <xsl:if test="$count &lt; 100">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:value-of select="$count"/>
        <xsl:if test="boolean(normalize-space($extension))">
         <xsl:text>.rar</xsl:text>
        </xsl:if>
    </xsl:if>
       </span>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
      </td>
</xsl:template>
<xsl:template name="print_file_4_6_white">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
        <xsl:if test="$maximum &gt; 9">
         <xsl:if test="$count &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:if test="$maximum &gt; 99">
         <xsl:if test="$count &lt; 100">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:value-of select="$count"/>
        <xsl:if test="boolean(normalize-space($extension))">
         <xsl:text>.rar</xsl:text>
        </xsl:if>
      </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_3_grey">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:value-of select="$count"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
    </xsl:if>
       </span>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
      </td>
</xsl:template>
<xsl:template name="print_file_3_white">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:value-of select="$count"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
    </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_1_2_grey">
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
      <xsl:value-of select="FName"/>
       <xsl:text>.</xsl:text>
        <xsl:choose>
         <xsl:when test="$count = $begin">
          <xsl:choose>
           <xsl:when test="FType = 1">
            <xsl:text>rar</xsl:text>
           </xsl:when>
           <xsl:when test="FType = 2">
            <xsl:text>ace</xsl:text>
           </xsl:when>
          </xsl:choose>
         </xsl:when>
         <xsl:otherwise>
          <xsl:choose>
           <xsl:when test="FType = 1">
            <xsl:text>r</xsl:text>
           </xsl:when>
           <xsl:when test="FType = 2">
            <xsl:text>a</xsl:text>
           </xsl:when>
          </xsl:choose>
          <xsl:if test="$count - 1 &lt; 10">
           <xsl:text>0</xsl:text>
          </xsl:if>
          <xsl:value-of select="$count - 1"/>
         </xsl:otherwise>
        </xsl:choose>
    </xsl:if>
       </span>
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_1_2_white">
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
      <xsl:value-of select="FName"/>
       <xsl:text>.</xsl:text>
         <xsl:choose>
          <xsl:when test="FType = 1">
           <xsl:text>r</xsl:text>
          </xsl:when>
          <xsl:when test="FType = 2">
           <xsl:text>a</xsl:text>
          </xsl:when>
         </xsl:choose>
         <xsl:if test="$count - 1 &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
         <xsl:value-of select="$count - 1"/>
      </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
</xsl:stylesheet>
