<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
        <script language="JavaScript" src="{$cssDir}javascript.js"></script>
        <title></title>
      </head>

   <body>

<table style="width:100%;" cellspacing="0" cellpadding="0" border="0">
 <tr>
  <td>
   <table class="main" border="0" cellspacing="0" cellpadding="0">
    <col width="20" />
    <col width="*" />
    <col width="30" />
    <col width="30" />
    <col width="30" />
    <col width="41" />
    <tr class="header" style="background-image: url({$imgDir}/headerbg3.bmp);">
     <td>
      <img src="{$imgDir}/down.bmp" />
     </td>
     <td>
      <span style="color: #75663A; white-space: nowrap; padding-left: 10px;">FTD Watchlist</span>
     </td>
     <td>
      <a href="iets.html#clearwlist">
       <img alt="Watchlist leegmaken" src="{$imgDir}/dl_00.bmp" onMouseOver="this.src='{$imgDir}/dl_01.bmp';" onMouseOut="this.src='{$imgDir}/dl_00.bmp';" border="0" />
      </a>
     </td>
     <td>
      <a href="iets.html#loadwlist">
       <img alt="Watchlist downloaden van de server" src="{$imgDir}/dl_10.bmp" onMouseOver="this.src='{$imgDir}/dl_11.bmp';" onMouseOut="this.src='{$imgDir}/dl_10.bmp';" border="0" />
      </a>
     </td>
     <td>
      <a href="iets.html#savewlist">
       <img alt="Watchlist uploaden naar de server" src="{$imgDir}/dl_20.bmp" onMouseOver="this.src='{$imgDir}/dl_21.bmp';" onMouseOut="this.src='{$imgDir}/dl_20.bmp';" border="0" />
      </a>
     </td>
     <td>
      <img src="{$imgDir}/headerend3.bmp"/>
     </td>
    </tr>
   </table>

   <table style="width: 100%;" cellspacing="0" cellpadding="0" border="0">
    <col width="25" />
    <col width="*" style="background-image: url({$imgDir}/mainbg3.bmp);" />
    <tr style="background-image: url({$imgDir}/mainbg3.bmp);">
     <td style="background-image: url({$imgDir}/bleft3.bmp);">
      &nbsp;
     </td>
     <td style="padding-right: 15px; padding-bottom: 10px; padding-top: 10px; border-right: 2px solid #BEAC87;">
      <table cellspacing="0" cellpadding="2" style="border: 1px solid #000000; background-color: #FFF8F5; width: 100%; text-align: center; font-family: Arial; font-size: 11px;" border="0">
       <col width="10" style="text-align: right; padding-top: 5px;" />
       <col width="10" style="padding-top: 4px;" />
       <col width="75" />
       <col width="16" />
       <col width="20" style="padding-left: 10px;" />
       <col width="10" style="padding-top: 6px;" />
       <col width="*" style="white-space: nowrap; text-align: left;" />
       <col width="20" style="padding-top: 6px;" />
       <col width="150" style="white-space: nowrap; font-size: 11px; color: #534C3B;padding-top: 2px; text-align: left;" />
       <col width="150" style="text-align: left;" />
       <tr style="color: #4D381D; background-image: url({$imgDir}/pbg2.bmp); padding-top: 4px; padding-bottom: 7px; font-family: Verdana; font-size: 11px; font-weight: bold;">
        <td>
         &nbsp;
        </td>
        <td>
         <a style="color: #4D381D;" href="iets.html#dsortmode3"> S</a>
        </td>
        <td>
         <img src="{$imgDir}/aup2.gif" />
         <a style="color: #4D381D;" href="iets.html#dsortmode0"> Datum</a>
        </td>
        <td>
         &nbsp;
        </td>
        <td>
         <a style="color: #4D381D;" href="iets.html#dsortmode4"> ID</a>
        </td>
        <td>
         &nbsp;
        </td>
        <td style="text-align: left;">
         <a style="color: #4D381D;" href="iets.html#dsortmode1"> Titel</a>
        </td>
        <td>
         &nbsp;
        </td>
        <td style="text-align: left;">
         Bestandsnaam
        </td>
        <td style="text-align: left;">
         Nieuwsgroepen
        </td>
       </tr>

       <xsl:apply-templates match="Event" />

      </table>
     </td>
    </tr>
   </table>

   <table style="width:100%;" cellspacing="0" cellpadding="0">
    <col width="25" />
    <col width="*" />
    <tr>
     <td>
      <img src="{$imgDir}/botleft3.bmp" />
     </td>
     <td align="center" style="background-image: url({$imgDir}/botbot3.bmp);">
      <img src="{$imgDir}/ftdfooter3.gif" />
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>

<div class="footer">FTD4Linux 1.0 &#169; 2003-2006
<a style="color: #A6A8C9;" href="#ftdmailAlguno">Alguno</a>. Gehost door
<a style="color: #C3C6ED;" href="http://www.quickhost.nl/?ref=1" target="_blank">
 <b>QuickHost</b>
</a>

- Webhosting &amp; More</div>
</body>
</html>

</xsl:template>

<xsl:template match="Event">
 <tr valign="top">
  <!-- Waarom position() hier met stappen van 2 rekent weet ik niet..maar zo werkt het iig wel -->
  <xsl:choose>
   <xsl:when test="position() mod 4 = 0">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = 'F4FFF4'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     F4FFF4
    </xsl:attribute>
   </xsl:when>
   <xsl:when test="position() mod 4 = 2">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = 'DDFFDD'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     DDFFDD
    </xsl:attribute>
   </xsl:when>
  </xsl:choose>
  <td>
   <a href="iets.html#remove{PostID}">
    <img onMouseOver="this.src='{$imgDir}/dlx2.gif'" onMouseOut="this.src='{$imgDir}/dlx.gif'" src="{$imgDir}/dlx.gif" border="0" />
   </a>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="Status = -1">
     <center><img src="{$imgDir}/spot.gif" /></center> <!-- spot -->
    </xsl:when>
    <xsl:when test="Status = 0">
     <center><img src="{$imgDir}/gray.gif" /></center> <!-- ready -->
    </xsl:when>
    <xsl:when test="Status = 1">
     <center><img src="{$imgDir}/brown.gif" /></center> <!-- announce -->
    </xsl:when>
    <xsl:when test="Status = 2">
     <center><img src="{$imgDir}/green.gif" /></center> <!-- uploading -->
    </xsl:when>
    <xsl:when test="Status = 3">
     <center><img src="{$imgDir}/red.gif" /></center> <!-- unsupp -->
    </xsl:when>
   </xsl:choose>
  </td>
  <td>
   <span style="white-space:nowrap;"><xsl:value-of select="Datum" /></span>
  </td>
  <td>
   <img src="{$imgDir}/ct{Cat}{SCat}.gif"/>
  </td>
  <td>
   <xsl:value-of select="PostID" />
  </td>
  <td>
   <img name="ptr{Pos}" src="{$imgDir}/ptr1.gif" />
  </td>
  <td style="text-align: left;">
   <a href="iets.html#post{PostID}"><xsl:value-of select="Title" /><!-- <img src="puntjes.gif" border="0" />--></a>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="Link != ''">
     <a href="iets.html#link{Link}"><img src="{$imgDir}/u.gif" border="0"/></a>
    </xsl:when>
   </xsl:choose>
  </td>
  <td style="text-align: left;">
   <xsl:value-of select="FName" />
  </td>
  <td style="text-align: left;">
   <!--<a style="white-space: nowrap;" onMouseOver = "document['g030'].src = 'group2.gif';" onMouseOut = "document['g030'].src = 'group.gif';" href="#zoom30">-->
    <xsl:for-each select="Newsgroups">
     <xsl:choose>
      <xsl:when test="position() != 1">
       <br />
      </xsl:when>
     </xsl:choose>
     <img name="g030" src="{$imgDir}/group.gif" border="0" /><xsl:value-of select="." />
    </xsl:for-each>
   <!--</a> -->
   <br />
  </td>
 </tr>
</xsl:template>

</xsl:stylesheet>
