<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}/ftd.css" />

<script type="text/javascript">

    if (document.images)
    {
        PL1 = new Image(); PL1.src = "{$imgDir}/ptr1.gif";
        PL2 = new Image(); PL2.src = "{$imgDir}/ptr2.gif";
    }

    function ptr(mode,position)
    {
        if (mode == 0) document[position].src = PL1.src;
        if (mode == 1) document[position].src = PL2.src;
    }

    var changed = new Array();

    function dllist(mode,cat,imgsource)
    {
        if (mode == 0) {
            document['p'+imgsource].src = '{$imgDir}/dlb3'+cat+'.bmp';
        }
        if (mode == 1) {
            if (changed[imgsource] != 1)
            {
                document['p'+imgsource].src = '{$imgDir}/dlb1'+cat+'.bmp';

            } else {
                document['p'+imgsource].src = '{$imgDir}/dlb2'+cat+'.bmp';

            }
        }
        if (mode == 2) {
            if (changed[imgsource] != 1) {
                changed[imgsource] = 1;
                document['p'+imgsource].src = '{$imgDir}/dlb2'+cat+'.bmp';
            } else {
                changed[imgsource] = 0;
                document['p'+imgsource].src = '{$imgDir}/dlb1'+cat+'.bmp';
            }
        }
    }

    </script>

    <title>
    </title>
   </head>

  <body>
    <table style="width:100%;" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <table class="main" border="0" cellspacing="0" cellpadding="0">
            <col width="20" />
            <col width="*" />
            <col width="41" />

            <tr class="header" style="color: #276E56; background-image: url({$imgDir}/headerbg2.bmp);">
              <td>
                <img src="{$imgDir}/nieuw.bmp" />
              </td>

              <td>
                <span style="white-space: nowrap; padding-left: 10px;">
                  Nieuw Binnen
                </span>
              </td>

              <td>
                <img src="{$imgDir}/headerend2.bmp" />
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <table style="width: 100%;" cellspacing="0" cellpadding="0" border="0">
            <col width="25"/>
            <col width="*"/>
            <tr>
              <td style="background-image: url({$imgDir}/bleft2.bmp);">
                &nbsp;
              </td>

              <td style="padding-right: 15px; padding-bottom: 10px; padding-top: 10px; border-right: 2px solid #70CFA8; background-image: url({$imgDir}/mainbg2.bmp);">
                <p style="color: #276E56;" align="center">Geen postings bekend..gelieve eerst te updaten</p>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>

    <table style="width:100%;" cellspacing="0" cellpadding="0">
     <col width="25" />

     <col width="*" />

     <tr>
      <td>
       <img src="{$imgDir}/botleft2.bmp" />
      </td>

      <td align="center"
       style="background-image: url({$imgDir}/botbot2.bmp);">
       <img src="{$imgDir}/ftdfooter2.gif" />
      </td>
     </tr>
    </table>

    <div class="footer">FTD4Linux 1.0 &#169; 2003-2006
     <a style="color:#A6A8C9;" href="#ftdmailAlguno">Alguno</a>

     . Gehost door
     <a style="color: #C3C6ED;"
      href="http://www.quickhost.nl/?ref=1" target="_blank">
      <b>QuickHost</b>
     </a>

     - Webhosting &amp; More</div>
   </body>
  </html>
 </xsl:template>
</xsl:stylesheet>
